Modify

#22 closed enhancement (wontfix)

Allow bots or other users to join the control channel AKA "real channels" AKA a channel per user

Reported by: anarcat@… Owned by:
Priority: pony Milestone:
Component: IRC Version:
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: Any

Description

Ok.. This is probably an insane idea, but "it might just work". Why not have "real" channels instead of just a fictious control channel per user? What could be done is that each user registered on the bitlbee server would have its own channel, password protected. The IRC client support for that is already in place. This would mean: no need for a "root" user with which we would need to identify to. It would also mean that people could have bots or other users join their channel if they would like to.

Now there would be the problem of having system-wide contacts. This is a problem I haven't tought of before creating this ticket, but I'm sure you guys can figure out an elegant solution. :)

Attachments (0)

Change History (7)

comment:1 Changed at 2005-11-17T23:46:44Z by wilmer

Version: 0.99

Ideas like this come up from time to time, including requests for allowing BitlBee to link with other IRC servers. The idea can be interesting, but there are many problems (although most of them are only with the server linking).

Maybe something for a 3.0 release or something like that, but I'm not sure. With the current code it'd be a lot of work, maybe it'd be easier after a partial rewrite (which is also in our long-term TODO).

comment:2 Changed at 2005-11-18T09:56:14Z by wilmer

Milestone: 2.0?

Setting the milestone to 2.0 because possibly the 1.1 rewrite will add the flexibility required to implement something like this.

comment:3 Changed at 2005-12-06T00:57:40Z by wilmer

Component: BitlBeeIRC

comment:4 Changed at 2012-11-24T01:59:23Z by anonymous

hi, I was just thinking about trying to do something like this. what is the status on this item?

comment:5 Changed at 2012-11-25T01:00:31Z by wilmer

Priority: wishlistpony

Unlikely to happen I'm afraid. Lots of added complexity with very little benefit.

comment:6 Changed at 2014-07-07T14:20:42Z by dx

Resolution: wontfix
Status: newclosed

"Unlikely to happen" means "wontfix" for me.

comment:7 Changed at 2016-07-07T20:51:01Z by dx

Milestone: 2.0

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.